﻿using System.CommandLine;
using System.Diagnostics;
using System;
using System.IO;
using System.Collections;

namespace PandocDemo {

    public static class main {
        
        public static int Main(){
            try {
                string[] files = Directory.GetFiles("/docs");
                foreach(string file in files) {
                    Console.WriteLine(AppDomain.CurrentDomain.BaseDirectory);

                    Process pandocProcess = new Process{
                        StartInfo = {
                            FileName = "pandoc",
                            Arguments = $" --pdf-engine=xelatex -o /output/blob.pdf",
                            WorkingDirectory = AppDomain.CurrentDomain.BaseDirectory
                        }
                    };
                    pandocProcess.Start();
                }

                return 0;
            } catch(Exception ex){
                Console.WriteLine(ex.ToString());
                return 1;
            }

        }
    }
}

// See https://aka.ms/new-console-template for more information

